OpenWrt一些小问题的解决方法

OpenWrt中文文档并不完善,国内论坛也不太照顾新人,有时遇到问题无从下手。这里整理一些常见错误提示和解决方法,我也是新手整理的不全有问题可以在评论里提出。

  • satisfy_dependencies_for: Cannot satisfy the following dependencies for xxxx:
     *      kernel (= xxxx) *        kernel (= xxxx)

    有时候从网上下别人编译好的整合固件,想安装新软件时会有上面的提示,意思是内核太旧了,这时需要从官网下新的固件更新。
    cd /tmp
    wget http://downloads.openwrt.org/snapshots/trunk/PLATFORM/xxx-sysupgrade.bin
    sysupgrade -v /tmp/xxxx-sysupgrade.bin
    把xxx替换为你的固件,重启后系统就变成最新的了。
  • 待更新。。。

阅读更多

没有更多推荐了,返回首页